
/* General */
html { position: relative; min-height: 100%; overflow-x: hidden; overflow-y: auto; box-sizing: border-box; }

body {
	font-family: Verdana, Helvetica, sans-serif;
	font-size: 14px;
	font-weight: 400;
	background: #ffffff;
	padding: 0;
	margin: 0;
	color: #333333;
	overflow-x: hidden;
	letter-spacing: -0.5px;
	overflow-y: auto;
	min-height: 100%;
	box-sizing: border-box;
}

*, *:before, *:after { box-sizing: border-box; }

.fw400 { font-weight: 400; }
.fw500 { font-weight: 500; }
.fw600 { font-weight: 600; }
.center { text-align: center; }
.right { text-align: right; }
.margin0 { margin-left: 0; margin-right: 0; }
.formresponse { display: none; }
.note { font-size: 10px; font-style: italic; color: #989898; }

.pad5 { padding-top: 5px; }
.pad10 { padding-top: 10px; }
.pad15 { padding-top: 15px; }
.pad25 { padding-top: 25px; }
.pad35 { padding-top: 35px; }
.pad45 { padding-top: 45px; }
.pad55 { padding-top: 55px; }
.pad65 { padding-top: 65px; }

.btn-facebook { background: #3B5998; color: #ffffff; transition: all ease 0.3s; }
.btn-facebook:hover, .btn-facebook:active { background: #293E6A; color: #ffffff; }

.container { max-width: 1200px; position: relative; margin: 0 auto; width: 100%; }



body .container > .row, body > .container > .row div[class*='col-sm-'] { height: 100vh; position: relative; }

#greycorner { background-image: url('../sprites/corner_landing.png'); background-position: left top; background-repeat: no-repeat; background-size: contain; height: 520px; position: absolute; left: 0; top: 0; width: 100%; }

#trainlogo { position: relative; top: 430px; left: -80px; }
#gamecontainer { position: relative; max-height: 960px; margin-top: 30px; max-width: 540px; width: 100%; }
#gamecontainer canvas { margin: 0 auto !important; }

#pauseMenu { position: absolute; bottom: 0; left: 0; width: 150px; height: 150px; z-index: 100; display: inline-block; overflow: hidden; }
#pauseMenu div { position: absolute; width: 100%; bottom: 0; left: 0; }
#pauseMenu #pause { width: 71px; height: auto; z-index: 1; }
#pauseMenu #pauseMnBg {
	width: 144px;
	height: auto;
	-webkit-transition: all 500ms cubic-bezier(0.775, 0, 0.190, 1); /* older webkit */
	-webkit-transition: all 500ms cubic-bezier(0.775, -0.125, 0.190, 1.165); 
	-moz-transition: all 500ms cubic-bezier(0.775, -0.125, 0.190, 1.165); 
	-o-transition: all 500ms cubic-bezier(0.775, -0.125, 0.190, 1.165); 
	transition: all 500ms cubic-bezier(0.775, -0.125, 0.190, 1.165); /* custom */
}
#pauseMenu #pauseMnBg.collapsed { left: -144px; bottom: -142px; }
#pauseMenu #pauseMnBg.expanded { left: 0; bottom: 0px; }
#pauseMnBg img:not(#btnsmenuBG) { position: absolute; }
#pauseMnBg #muteAllBtn { left: 15px; top: 30px; }
#pauseMnBg #muteMusicBtn { left: 55px; top: 55px; }
#pauseMnBg #exitGameBtn { left: 80px; top: 105px; }

#endGameMenu { position: absolute; margin: 0 auto; width: 100%; display: none; z-index: 99; left: 50%; top: 50%; max-width: 533px; }
#finalScoreMenu { position: absolute; z-index: 100; font-size: 80px; font-weight: bold; left: 50%; top: 50%; margin-top: -20px; margin-left: -170px; }
#saveScorebtn, #playAgainbtn { position: absolute; left: 50%; }
#saveScorebtn { margin-left: -173px; top: 65%; }
#playAgainbtn { margin-left: -192px; top: 74%; }

#consorciologo { position: absolute; right: 15px; top: 15px; }

#instructions { display: none; z-index: 11; position: relative; left: 0; top: 0; }

.greyRect { position: absolute; left: 0; top: 0; background-image: url('../sprites/bgGris_tren.gif'); background-size: 100%; background-repeat: no-repeat; background-position: left top; width: 100%; height: 100%; max-width: 1182px; max-width: 1080px; }
.greyRect2 { position: absolute; left: 0; top: 0; background-image: url('../sprites/bgGris.png'); background-size: 100%; background-repeat: no-repeat; background-position: left top; width: 100%; height: 100%; max-width: 1182px; max-width: 1080px; }
.greyRect img { max-width: 900px; }
#bgGrey_SN { list-style: none; padding: 0; position: absolute; top: 190px; left: 40px; z-index: 10; }
#bgGrey_SN li { display: inline-block; margin: 0 5px; }
/* #bgGrey_SN li a { display: block; } */

.welcome { padding-top: 95px; }

#controls { position: absolute; z-index: 90; bottom: 20px; left: 0; right: 0; margin: 0 auto; }
#controls ul { list-style: none; padding: 0; margin: 0; width: auto; display: inline-block; }
#controls ul li { display: inline-block; }
#controls ul li:first-child { margin-right: 35px; }
#controls ul li:last-child { margin-left: 35px; }
#controls ul li img { opacity: 0.25; }

.welcomemenu a.playnowbtn { background: url('../sprites/btn_playnow.png') no-repeat center center; background-size: 100%; text-align: center; color: #ffffff; display: block; width: 100%; max-width: 420px; height: 62px; position: relative; margin: 15px auto; }
.registerform .fblogin a.btn-facebook img { position: relative; top: -2px; padding-right: 3px; }

.rankingWrp { top: 50%; margin-top: -385px; }
.rankingWrp h3 { text-align: center; color: #e1221d; font-weight: bold; font-style: italic; margin-bottom: 15px; }
.shareRanking { font-size: 20px; font-weight: bold; font-style: italic; }
.rankingWrp .table-striped { max-height: 600px; height: 100%; overflow-y: auto; display: block; overflow-x: hidden; }
.rankingWrp .table-striped>tbody>tr:nth-of-type(even) { background-color: #ffffff; }
.rankingWrp .table-striped tbody tr.itsme td { color: #e1221d; }

#trenatravesado { position: absolute; z-index: -1; left: 0; bottom: 0; width: 100%; }

.registerform { display: none; }
.registerform h4 { margin-bottom: 25px; }


@media only screen and (max-width: 1300px){
	#trainlogo { left: 0; }
}

@media only screen and (max-width: 1024px){
	.greyRect img { max-width: 700px; }
	#trainlogo { left: 10%; }
	#trainlogo img { max-width: 400px !important; }
	#turn { width:100%; height:100%; position:fixed; top:0; left:0; background-color:#ffffff; background-image:url("../sprites/rotate_device.jpg"); background-repeat:no-repeat; background-position:center center; display:none; background-size:80%; z-index: 99; }
}

@media only screen and (max-width: 991px){
	/*body .container > .row, body > .container > .row div[class*='col-sm-'] { height: auto; position: relative; text-align: center; padding-bottom: 45px; }*/	
	body .container > .row .col-md-5 { min-height: 270px; }	
	#trainlogo { position: absolute; width: 500px; right: 30px; top: 20px; left: auto; }
	#gameframe { top: auto; margin: 0; }
	#gameframe img { width: 90%; height: auto; }
}


@media only screen and (max-width: 768px){
	body .container > .row .col-md-5 { padding-bottom: 0 !important; min-height: 180px; text-align: center; }
	#trainlogo { position: relative; width: 90%; right: auto; margin: 0 auto; }
	#trainlogo img { min-width: 200px; max-width: 500px; width: 100%; }
	#gameframe img { width: 100%; height: auto; }
	#gamecontainer { margin-right: 0; left: 50%; margin-left: -270px; }
	.greyRect { background-image: url('../sprites/bgGris.png'); max-width: 1182px; max-width: 906px; }
	#bgGrey_SN { top: 130px; left: 30px; }
	#bgGrey_SN li { margin: 0; }
	#bgGrey_SN li:not(:last-child) { max-width: 75px; }
	#bgGrey_SN li a img { width: 90%; }
	#trenatravesado { left: -440px; }
	#gameWrp .row .col-md-6 { text-align: center; }
	.welcomemenu { padding-top: 130px; }
	.welcomemenu img { max-width: 470px !important; }
}


@media only screen and (max-width: 500px){
	.welcome { padding-bottom: 50px; }
	#gameWrp > .container > .row .col-md-6:last-child { padding: 0; }
	#finalScoreMenu { margin-top: -10px; font-size: 50px; margin-left: -80px; }
	#saveScorebtn, #playAgainbtn { width: 80%; }
	#saveScorebtn { margin-left: -132px; }
	#playAgainbtn { margin-left: -145px; top: 75%; }
	#pauseMenu { width: 100px; height: 100px; }
	#pauseMenu #pause { width: 47px; }
	#pauseMenu #pauseMnBg { width: 96px; }
	#pauseMnBg #muteAllBtn, #pauseMnBg #muteMusicBtn { width: 17px; }
	#pauseMnBg #muteAllBtn { left: 10px; top: 20px; }
	#pauseMnBg #muteMusicBtn { left: 38px; top: 38px; }
	#pauseMnBg #exitGameBtn { width: 22px; left: 55px; top: 70px; }
	#gamecontainer { margin-right: 0; left: 0; margin-left: 0; margin-top: 0; }
	.welcomemenu { margin-top: -55px; padding-top: 0; }
	#trainmb { position: fixed; bottom: 0; z-index: -9; }
	#trainmb img { width: 100%; max-width: 470px; opacity: .5; }
	.rankingWrp { margin: 0; top: 0; padding: 15px !important; }
	#gameWrp .container { padding: 0; }
	#gameWrp .row { margin-left: 0; margin-right: 0; }
}


@media only screen and (max-width: 320px){
}

